KirkSpreadOptionEngine Class Reference

Kirk approximation for European spread option on futures. More...

`#include <ql/experimental/exoticoptions/kirkspreadoptionengine.hpp>`

Inheritance diagram for KirkSpreadOptionEngine:
[legend]

## Public Member Functions

| KirkSpreadOptionEngine (const boost::shared_ptr< BlackProcess > &process1, const boost::shared_ptr< BlackProcess > &process2, const Handle< Quote > &correlation)
void | calculate () const
Public Member Functions inherited from GenericEngine< SpreadOption::arguments, SpreadOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members

Protected Attributes inherited from GenericEngine< SpreadOption::arguments, SpreadOption::results >
SpreadOption::arguments | arguments_
SpreadOption::results | results_

## Detailed Description

Kirk approximation for European spread option on futures.